SoSpotLight(3)

NAME
SoSpotLight - The SoSpotLight class is a node type for light sources with a cone shaped light volume.

SYNOPSIS

#include <Inventor/nodes/SoSpotLight.h>

Inherits SoLight.

Inherited by SoShadowSpotLight, and SoSpotLightManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoSpotLight (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec3f location
SoSFVec3f direction
SoSFFloat dropOffRate
SoSFFloat cutOffAngle

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoSpotLight ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoSpotLight class is a node type for light sources with a cone shaped light volume. Spotlights are light sources with a position and a direction. They can be thought of as a point light with a lampshade.

See also documentation of parent class for important information regarding light sources in general.

FILE FORMAT/DEFAULTS:

SpotLight {
    on TRUE
    intensity 1
    color 1 1 1
    location 0 0 1
    direction 0 0 -1
    dropOffRate 0
    cutOffAngle 0.78539819
}

See also
    SoSpotLight

Constructor & Destructor Documentation

  SoSpotLight::SoSpotLight (void)
Constructor.

  SoSpotLight::~SoSpotLight () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoSpotLight::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSpotLight::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoLight.

Reimplemented in SoShadowSpotLight, and SoSpotLightManip.

  const SoFieldData ** SoSpotLight::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoSpotLight::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoLight.

Reimplemented in SoShadowSpotLight, and SoSpotLightManip.

  void SoSpotLight::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Reimplemented in SoShadowSpotLight, and SoSpotLightManip.

Member Data Documentation

  SoSFVec3f SoSpotLight::location
3D position of light source. Default position is <0, 0, 1>.

  SoSFVec3f SoSpotLight::direction
Direction vector, where the light is pointing. Default is to point along the negative Z-axis.

  SoSFFloat SoSpotLight::dropOffRate
The rate of intensity drop-off from the ray along the direction vector. Value must be between 0.0 (equal intensity for the whole cone of light), to 1.0 (a narrow intensity ray).

Default value is 0.0.

  SoSFFloat SoSpotLight::cutOffAngle
The angle in radians from the direction vector where there will be no light outside (i.e. the angle of the 'lampshade'). Default value is PI/4.0 (i.e. 45°). The value of this field will be clamped to [0.0, PI/2] before it is used.

Author

Generated automatically by Doxygen for Coin from the source code.